Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-utf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-utf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-utf	(revision 2621)
@@ -0,0 +1,109 @@
+
+# This map is not a full koi8-r <> utf8 map: it does not contain
+# box-drawing and some other characters.  Besides this map contains
+# several koi8-u and Byelorussian letters which are not in koi8-r.
+# If you need a full and standard map, use contrib/unicode2nginx/koi-utf
+# map instead.
+
+charset_map  koi8-r  utf-8 {
+
+    80  E282AC ; # euro
+
+    95  E280A2 ; # bullet
+
+    9A  C2A0 ;   # &nbsp;
+
+    9E  C2B7 ;   # &middot;
+
+    A3  D191 ;   # small yo
+    A4  D194 ;   # small Ukrainian ye
+
+    A6  D196 ;   # small Ukrainian i
+    A7  D197 ;   # small Ukrainian yi
+
+    AD  D291 ;   # small Ukrainian soft g
+    AE  D19E ;   # small Byelorussian short u
+
+    B0  C2B0 ;   # &deg;
+
+    B3  D081 ;   # capital YO
+    B4  D084 ;   # capital Ukrainian YE
+
+    B6  D086 ;   # capital Ukrainian I
+    B7  D087 ;   # capital Ukrainian YI
+
+    B9  E28496 ; # numero sign
+
+    BD  D290 ;   # capital Ukrainian soft G
+    BE  D18E ;   # capital Byelorussian short U
+
+    BF  C2A9 ;   # (C)
+
+    C0  D18E ;   # small yu
+    C1  D0B0 ;   # small a
+    C2  D0B1 ;   # small b
+    C3  D186 ;   # small ts
+    C4  D0B4 ;   # small d
+    C5  D0B5 ;   # small ye
+    C6  D184 ;   # small f
+    C7  D0B3 ;   # small g
+    C8  D185 ;   # small kh
+    C9  D0B8 ;   # small i
+    CA  D0B9 ;   # small j
+    CB  D0BA ;   # small k
+    CC  D0BB ;   # small l
+    CD  D0BC ;   # small m
+    CE  D0BD ;   # small n
+    CF  D0BE ;   # small o
+
+    D0  D0BF ;   # small p
+    D1  D18F ;   # small ya
+    D2  D180 ;   # small r
+    D3  D181 ;   # small s
+    D4  D182 ;   # small t
+    D5  D183 ;   # small u
+    D6  D0B6 ;   # small zh
+    D7  D0B2 ;   # small v
+    D8  D18C ;   # small soft sign
+    D9  D18B ;   # small y
+    DA  D0B7 ;   # small z
+    DB  D188 ;   # small sh
+    DC  D18D ;   # small e
+    DD  D189 ;   # small shch
+    DE  D187 ;   # small ch
+    DF  D18A ;   # small hard sign
+
+    E0  D0AE ;   # capital YU
+    E1  D090 ;   # capital A
+    E2  D091 ;   # capital B
+    E3  D0A6 ;   # capital TS
+    E4  D094 ;   # capital D
+    E5  D095 ;   # capital YE
+    E6  D0A4 ;   # capital F
+    E7  D093 ;   # capital G
+    E8  D0A5 ;   # capital KH
+    E9  D098 ;   # capital I
+    EA  D099 ;   # capital J
+    EB  D09A ;   # capital K
+    EC  D09B ;   # capital L
+    ED  D09C ;   # capital M
+    EE  D09D ;   # capital N
+    EF  D09E ;   # capital O
+
+    F0  D09F ;   # capital P
+    F1  D0AF ;   # capital YA
+    F2  D0A0 ;   # capital R
+    F3  D0A1 ;   # capital S
+    F4  D0A2 ;   # capital T
+    F5  D0A3 ;   # capital U
+    F6  D096 ;   # capital ZH
+    F7  D092 ;   # capital V
+    F8  D0AC ;   # capital soft sign
+    F9  D0AB ;   # capital Y
+    FA  D097 ;   # capital Z
+    FB  D0A8 ;   # capital SH
+    FC  D0AD ;   # capital E
+    FD  D0A9 ;   # capital SHCH
+    FE  D0A7 ;   # capital CH
+    FF  D0AA ;   # capital hard sign
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-win
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-win	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/koi-win	(revision 2621)
@@ -0,0 +1,103 @@
+
+charset_map  koi8-r  windows-1251 {
+
+    80  88 ; # euro
+
+    95  95 ; # bullet
+
+    9A  A0 ; # &nbsp;
+
+    9E  B7 ; # &middot;
+
+    A3  B8 ; # small yo
+    A4  BA ; # small Ukrainian ye
+
+    A6  B3 ; # small Ukrainian i
+    A7  BF ; # small Ukrainian yi
+
+    AD  B4 ; # small Ukrainian soft g
+    AE  A2 ; # small Byelorussian short u
+
+    B0  B0 ; # &deg;
+
+    B3  A8 ; # capital YO
+    B4  AA ; # capital Ukrainian YE
+
+    B6  B2 ; # capital Ukrainian I
+    B7  AF ; # capital Ukrainian YI
+
+    B9  B9 ; # numero sign
+
+    BD  A5 ; # capital Ukrainian soft G
+    BE  A1 ; # capital Byelorussian short U
+
+    BF  A9 ; # (C)
+
+    C0  FE ; # small yu
+    C1  E0 ; # small a
+    C2  E1 ; # small b
+    C3  F6 ; # small ts
+    C4  E4 ; # small d
+    C5  E5 ; # small ye
+    C6  F4 ; # small f
+    C7  E3 ; # small g
+    C8  F5 ; # small kh
+    C9  E8 ; # small i
+    CA  E9 ; # small j
+    CB  EA ; # small k
+    CC  EB ; # small l
+    CD  EC ; # small m
+    CE  ED ; # small n
+    CF  EE ; # small o
+
+    D0  EF ; # small p
+    D1  FF ; # small ya
+    D2  F0 ; # small r
+    D3  F1 ; # small s
+    D4  F2 ; # small t
+    D5  F3 ; # small u
+    D6  E6 ; # small zh
+    D7  E2 ; # small v
+    D8  FC ; # small soft sign
+    D9  FB ; # small y
+    DA  E7 ; # small z
+    DB  F8 ; # small sh
+    DC  FD ; # small e
+    DD  F9 ; # small shch
+    DE  F7 ; # small ch
+    DF  FA ; # small hard sign
+
+    E0  DE ; # capital YU
+    E1  C0 ; # capital A
+    E2  C1 ; # capital B
+    E3  D6 ; # capital TS
+    E4  C4 ; # capital D
+    E5  C5 ; # capital YE
+    E6  D4 ; # capital F
+    E7  C3 ; # capital G
+    E8  D5 ; # capital KH
+    E9  C8 ; # capital I
+    EA  C9 ; # capital J
+    EB  CA ; # capital K
+    EC  CB ; # capital L
+    ED  CC ; # capital M
+    EE  CD ; # capital N
+    EF  CE ; # capital O
+
+    F0  CF ; # capital P
+    F1  DF ; # capital YA
+    F2  D0 ; # capital R
+    F3  D1 ; # capital S
+    F4  D2 ; # capital T
+    F5  D3 ; # capital U
+    F6  C6 ; # capital ZH
+    F7  C2 ; # capital V
+    F8  DC ; # capital soft sign
+    F9  DB ; # capital Y
+    FA  C7 ; # capital Z
+    FB  D8 ; # capital SH
+    FC  DD ; # capital E
+    FD  D9 ; # capital SHCH
+    FE  D7 ; # capital CH
+    FF  DA ; # capital hard sign
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/win-utf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/win-utf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/charmaps/win-utf	(revision 2621)
@@ -0,0 +1,126 @@
+
+# This map is not a full windows-1251 <> utf8 map: it does not
+# contain Serbian and Macedonian letters.  If you need a full map,
+# use contrib/unicode2nginx/win-utf map instead.
+
+charset_map  windows-1251  utf-8 {
+
+    82  E2809A ; # single low-9 quotation mark
+
+    84  E2809E ; # double low-9 quotation mark
+    85  E280A6 ; # ellipsis
+    86  E280A0 ; # dagger
+    87  E280A1 ; # double dagger
+    88  E282AC ; # euro
+    89  E280B0 ; # per mille
+
+    91  E28098 ; # left single quotation mark
+    92  E28099 ; # right single quotation mark
+    93  E2809C ; # left double quotation mark
+    94  E2809D ; # right double quotation mark
+    95  E280A2 ; # bullet
+    96  E28093 ; # en dash
+    97  E28094 ; # em dash
+
+    99  E284A2 ; # trade mark sign
+
+    A0  C2A0 ;   # &nbsp;
+    A1  D18E ;   # capital Byelorussian short U
+    A2  D19E ;   # small Byelorussian short u
+
+    A4  C2A4 ;   # currency sign
+    A5  D290 ;   # capital Ukrainian soft G
+    A6  C2A6 ;   # borken bar
+    A7  C2A7 ;   # section sign
+    A8  D081 ;   # capital YO
+    A9  C2A9 ;   # (C)
+    AA  D084 ;   # capital Ukrainian YE
+    AB  C2AB ;   # left-pointing double angle quotation mark
+    AC  C2AC ;   # not sign
+    AD  C2AD ;   # soft hypen
+    AE  C2AE ;   # (R)
+    AF  D087 ;   # capital Ukrainian YI
+
+    B0  C2B0 ;   # &deg;
+    B1  C2B1 ;   # plus-minus sign
+    B2  D086 ;   # capital Ukrainian I
+    B3  D196 ;   # small Ukrainian i
+    B4  D291 ;   # small Ukrainian soft g
+    B5  C2B5 ;   # micro sign
+    B6  C2B6 ;   # pilcrow sign
+    B7  C2B7 ;   # &middot;
+    B8  D191 ;   # small yo
+    B9  E28496 ; # numero sign
+    BA  D194 ;   # small Ukrainian ye
+    BB  C2BB ;   # right-pointing double angle quotation mark
+
+    BF  D197 ;   # small Ukrainian yi
+
+    C0  D090 ;   # capital A
+    C1  D091 ;   # capital B
+    C2  D092 ;   # capital V
+    C3  D093 ;   # capital G
+    C4  D094 ;   # capital D
+    C5  D095 ;   # capital YE
+    C6  D096 ;   # capital ZH
+    C7  D097 ;   # capital Z
+    C8  D098 ;   # capital I
+    C9  D099 ;   # capital J
+    CA  D09A ;   # capital K
+    CB  D09B ;   # capital L
+    CC  D09C ;   # capital M
+    CD  D09D ;   # capital N
+    CE  D09E ;   # capital O
+    CF  D09F ;   # capital P
+
+    D0  D0A0 ;   # capital R
+    D1  D0A1 ;   # capital S
+    D2  D0A2 ;   # capital T
+    D3  D0A3 ;   # capital U
+    D4  D0A4 ;   # capital F
+    D5  D0A5 ;   # capital KH
+    D6  D0A6 ;   # capital TS
+    D7  D0A7 ;   # capital CH
+    D8  D0A8 ;   # capital SH
+    D9  D0A9 ;   # capital SHCH
+    DA  D0AA ;   # capital hard sign
+    DB  D0AB ;   # capital Y
+    DC  D0AC ;   # capital soft sign
+    DD  D0AD ;   # capital E
+    DE  D0AE ;   # capital YU
+    DF  D0AF ;   # capital YA
+
+    E0  D0B0 ;   # small a
+    E1  D0B1 ;   # small b
+    E2  D0B2 ;   # small v
+    E3  D0B3 ;   # small g
+    E4  D0B4 ;   # small d
+    E5  D0B5 ;   # small ye
+    E6  D0B6 ;   # small zh
+    E7  D0B7 ;   # small z
+    E8  D0B8 ;   # small i
+    E9  D0B9 ;   # small j
+    EA  D0BA ;   # small k
+    EB  D0BB ;   # small l
+    EC  D0BC ;   # small m
+    ED  D0BD ;   # small n
+    EE  D0BE ;   # small o
+    EF  D0BF ;   # small p
+
+    F0  D180 ;   # small r
+    F1  D181 ;   # small s
+    F2  D182 ;   # small t
+    F3  D183 ;   # small u
+    F4  D184 ;   # small f
+    F5  D185 ;   # small kh
+    F6  D186 ;   # small ts
+    F7  D187 ;   # small ch
+    F8  D188 ;   # small sh
+    F9  D189 ;   # small shch
+    FA  D18A ;   # small hard sign
+    FB  D18B ;   # small y
+    FC  D18C ;   # small soft sign
+    FD  D18D ;   # small e
+    FE  D18E ;   # small yu
+    FF  D18F ;   # small ya
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/fastcgi_params
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/fastcgi_params	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/fastcgi_params	(revision 2621)
@@ -0,0 +1,23 @@
+
+fastcgi_param  QUERY_STRING       $query_string;
+fastcgi_param  REQUEST_METHOD     $request_method;
+fastcgi_param  CONTENT_TYPE       $content_type;
+fastcgi_param  CONTENT_LENGTH     $content_length;
+
+fastcgi_param  SCRIPT_NAME        $fastcgi_script_name;
+fastcgi_param  REQUEST_URI        $request_uri;
+fastcgi_param  DOCUMENT_URI       $document_uri;
+fastcgi_param  DOCUMENT_ROOT      $document_root;
+fastcgi_param  SERVER_PROTOCOL    $server_protocol;
+
+fastcgi_param  GATEWAY_INTERFACE  CGI/1.1;
+fastcgi_param  SERVER_SOFTWARE    nginx;
+
+fastcgi_param  REMOTE_ADDR        $remote_addr;
+fastcgi_param  REMOTE_PORT        $remote_port;
+fastcgi_param  SERVER_ADDR        $server_addr;
+fastcgi_param  SERVER_PORT        $server_port;
+fastcgi_param  SERVER_NAME        $server_name;
+
+# PHP only, required if PHP was built with --enable-force-cgi-redirect
+fastcgi_param  REDIRECT_STATUS    200;
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/base.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/base.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/base.conf	(revision 2621)
@@ -0,0 +1,14 @@
+
+#
+# General options for every nginx-config
+#
+
+user  www-data;
+worker_processes  3;
+error_log  /var/log/nginx/error.log warn;
+
+events {
+    worker_connections  1024;
+    use epoll;
+}
+
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/http.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/http.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/http.conf	(revision 2621)
@@ -0,0 +1,55 @@
+
+#
+# Basic values for `http` sections in configs...
+#
+
+include       /etc/nginx/general/mime.types;
+default_type  application/octet-stream;
+
+include	      /etc/nginx/general/logging.conf;
+
+sendfile        	on;
+#tcp_nopush     	on;
+
+#keepalive_timeout  	0;
+keepalive_timeout 	600;
+tcp_nodelay	        on;
+
+gzip  on;
+client_max_body_size	10m;
+
+
+##
+## The upstream sources...
+##
+
+# uniben...
+upstream uniben_backend { # uniben1 - uniben4
+        server 127.0.0.1:8180 weight=1;
+        server 127.0.0.1:8190 weight=1;
+        server 127.0.0.1:8195 weight=1;
+#        server 127.0.0.1:8197 weight=1;
+}
+upstream uniben_staff_backend { # uniben-staff, -test
+        server 127.0.0.1:8200 weight=1;
+        server 127.0.0.1:8197 weight=1;
+}
+upstream uniben_devel_backend { # uniben-devel
+        server 127.0.0.1:8300 weight=1;
+}
+
+
+# fceokene...
+upstream fceokene_backend { # fceokene1 - 2
+        server 127.0.0.1:8090 weight=1;
+        server 127.0.0.1:8091 weight=1;
+}
+upstream fceokene_staff_backend { # fceokene-staff
+        server 127.0.0.1:8092 weight=1;
+}
+
+
+# others...
+upstream waeup_org_backend { # waeup.org
+	server 127.0.0.1:8400 weight=1;
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/logging.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/logging.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/logging.conf	(revision 2621)
@@ -0,0 +1,7 @@
+
+error_log  /var/log/nginx/error.log warn;
+
+log_format main  '$remote_addr - $remote_user [$time_local] "$request" $status $body_bytes_sent "$http_referer" "$http_user_agent" "$http_host" $request_time "$http_x_forwarded_for" "$http_via" "$gzip_ratio"'; 
+
+access_log	/var/log/nginx/access.log main;
+
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/mime.types
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/mime.types	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/mime.types	(revision 2621)
@@ -0,0 +1,70 @@
+
+types {
+    text/html                             html htm shtml;
+    text/css                              css;
+    text/xml                              xml rss;
+    image/gif                             gif;
+    image/jpeg                            jpeg jpg;
+    application/x-javascript              js;
+    application/atom+xml                  atom;
+
+    text/mathml                           mml;
+    text/plain                            txt log 1;
+    text/vnd.sun.j2me.app-descriptor      jad;
+    text/vnd.wap.wml                      wml;
+    text/x-component                      htc;
+
+    image/png                             png;
+    image/tiff                            tif tiff;
+    image/vnd.wap.wbmp                    wbmp;
+    image/x-icon                          ico;
+    image/x-jng                           jng;
+    image/x-ms-bmp                        bmp;
+
+    application/java-archive              jar war ear;
+    application/mac-binhex40              hqx;
+    application/msword                    doc;
+    application/pdf                       pdf;
+    application/postscript                ps eps ai;
+    application/rtf                       rtf;
+    application/vnd.ms-excel              xls;
+    application/vnd.ms-powerpoint         ppt;
+    application/vnd.wap.wmlc              wmlc;
+    application/vnd.wap.xhtml+xml         xhtml;
+    application/x-cocoa                   cco;
+    application/x-java-archive-diff       jardiff;
+    application/x-java-jnlp-file          jnlp;
+    application/x-makeself                run;
+    application/x-perl                    pl pm;
+    application/x-pilot                   prc pdb;
+    application/x-rar-compressed          rar;
+    application/x-redhat-package-manager  rpm;
+    application/x-sea                     sea;
+    application/x-shockwave-flash         swf;
+    application/x-stuffit                 sit;
+    application/x-tcl                     tcl tk;
+    application/x-x509-ca-cert            der pem crt;
+    application/x-xpinstall               xpi;
+    application/zip                       zip;
+
+    application/octet-stream              bin exe dll;
+    application/octet-stream              deb;
+    application/octet-stream              dmg;
+    application/octet-stream              eot;
+    application/octet-stream              iso img;
+    application/octet-stream              msi msp msm;
+
+    audio/midi                            mid midi kar;
+    audio/mpeg                            mp3;
+    audio/x-realaudio                     ra;
+
+    video/3gpp                            3gpp 3gp;
+    video/mpeg                            mpeg mpg;
+    video/quicktime                       mov;
+    video/x-flv                           flv;
+    video/x-mng                           mng;
+    video/x-ms-asf                        asx asf;
+    video/x-ms-wmv                        wmv;
+    video/x-msvideo                       avi;
+
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/proxy.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/proxy.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/proxy.conf	(revision 2621)
@@ -0,0 +1,15 @@
+# proxy.conf
+proxy_redirect          off;
+proxy_set_header        Host $host;
+proxy_set_header        X-Real-IP $remote_addr;
+proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
+#proxy_buffering		off;
+client_max_body_size    15m;
+client_body_buffer_size 10m;
+proxy_connect_timeout   600;
+proxy_send_timeout      600;
+proxy_read_timeout      600;
+proxy_buffer_size       16k;
+proxy_buffers           8 128k;
+proxy_busy_buffers_size 512k;
+proxy_temp_file_write_size 128k;
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/general/ssl.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/general/ssl.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/general/ssl.conf	(revision 2621)
@@ -0,0 +1,10 @@
+
+        ssl                  on;
+        ssl_certificate      /etc/ssl/master.pem;
+        ssl_certificate_key  /etc/ssl/master.key;
+
+        ssl_session_timeout  5m;
+
+        ssl_protocols  SSLv2 SSLv3 TLSv1;
+        ssl_ciphers  ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP;         ssl_prefer_server_ciphers   on;
+
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/logfiles.htpasswd
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/logfiles.htpasswd	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/logfiles.htpasswd	(revision 2621)
@@ -0,0 +1,1 @@
+logfiles:YiPaXWL3MgV5Y
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-all.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-all.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-all.conf	(revision 2621)
@@ -0,0 +1,14 @@
+
+include /etc/nginx/general/base.conf;
+
+http {
+
+  include /etc/nginx/general/http.conf;
+
+  include /etc/nginx/sites/uniben/maintenance.conf;
+
+  include /etc/nginx/sites/fceokene/maintenance.conf;
+
+  include /etc/nginx/sites/misc/main.conf;
+
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-fceokene.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-fceokene.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-fceokene.conf	(revision 2621)
@@ -0,0 +1,14 @@
+
+include /etc/nginx/general/base.conf;
+
+http {
+
+  include /etc/nginx/general/http.conf;
+
+  include /etc/nginx/sites/uniben/uniben.conf;
+
+  include /etc/nginx/sites/fceokene/maintenance.conf;
+
+  include /etc/nginx/sites/misc/main.conf;
+
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-uniben.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-uniben.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/maintenance-uniben.conf	(revision 2621)
@@ -0,0 +1,14 @@
+
+include /etc/nginx/general/base.conf;
+
+http {
+
+  include /etc/nginx/general/http.conf;
+
+  include /etc/nginx/sites/uniben/maintenance.conf;
+
+  include /etc/nginx/sites/fceokene/fceokene.conf;
+
+  include /etc/nginx/sites/misc/main.conf;
+
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx-init
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx-init	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx-init	(revision 2621)
@@ -0,0 +1,135 @@
+#!/bin/sh
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/nginx
+NAME=nginx
+DESC="High-performance web-server"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+# check if nginx is configured or not
+if [ -f "/etc/default/nginx" ]
+then
+  . /etc/default/nginx
+  if [ "$startup" != "1" ]
+  then
+    echo "nginx won't start unconfigured. configure & set startup=1 in /etc/default/nginx"
+    exit 0
+  fi
+
+  # Find the right config...
+  SITE1="0"
+  SITE2="0"
+  case "$1" in
+      -muniben)
+	  SITE1="1"
+	  shift
+	  ;;
+      -mfceokene)
+	  SITE2="1"
+	  shift
+	  ;;
+      -h*)
+	  echo "usage: $0 [-muniben] [-mfceokene] start|stop|restart|reload"
+	  exit 0
+	  ;;
+      help)
+	  echo "usage: $0 [-muniben] [-mfceokene] start|stop|restart|reload"
+	  exit 0
+	  ;;
+  esac
+  case "$1" in
+      -muniben)
+	  SITE1="1"
+	  shift
+	  ;;
+      -mfceokene)
+	  SITE2="1"
+	  shift
+	  ;;
+  esac
+  CONF=$SITE1$SITE2
+  case $CONF in
+      "00")
+	  echo "Disabling maintenance mode for uniben."
+	  echo "Disabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/nginx.conf"
+	  ;;
+      "01")
+	  echo "Disabling maintenance mode for uniben."
+	  echo "Enabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-fceokene.conf"
+	  ;;
+      "10")
+	  echo "Enabling maintenance mode for uniben."
+	  echo "Disabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-uniben.conf"
+	  ;;
+      "11")
+	  echo "Enabling maintenance mode for uniben."
+	  echo "Enabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-all.conf"
+	  ;;
+  esac
+
+else
+  echo "/etc/default/nginx not found"
+  exit 0
+fi
+
+
+test_config() {
+	if ! $DAEMON -t 2> /dev/null
+	then
+        	printf "Configuration syntax error detected. Not reloading.\n\n"
+		$DAEMON -t
+		exit 1
+	fi
+}
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+        exit 0;
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  reload)
+	echo "Reloading $DESC configuration files."
+	test_config
+	start-stop-daemon --stop --signal HUP --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	;;
+  rotate-logs)
+	echo "Reopen $DESC logfiles"
+	start-stop-daemon --stop --signal USR1 --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+  ;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: "
+	
+	test_config
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|reload|rotate-logs}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/nginx.conf	(revision 2621)
@@ -0,0 +1,14 @@
+
+include /etc/nginx/general/base.conf;
+
+http {
+
+  include /etc/nginx/general/http.conf;
+
+  include /etc/nginx/sites/uniben/uniben.conf;
+
+  include /etc/nginx/sites/fceokene/fceokene.conf;
+
+  include /etc/nginx/sites/misc/main.conf;
+
+}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/fceokene.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/fceokene.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/fceokene.conf	(revision 2621)
@@ -0,0 +1,58 @@
+
+#
+# fceokene regular mode. To place inside a `http` directive...
+#
+
+
+    #
+    # fceokene.waeup.org....
+    #
+    server { # simple load balancing
+        listen          212.19.62.132:80;
+        server_name     fceokene.waeup.org *.fceokene.waeup.org;
+	access_log      /var/log/nginx/access-fceokene.log main;
+        location / {
+		rewrite ^/(.*)$ https://fceokene.waeup.org:443/$1 redirect;
+        }
+    }
+    
+    # fceokene.waeup.org -- ssl
+    server {
+        listen       212.19.62.132:443;
+        server_name  fceokene.waeup.org *.fceokene.waeup.org;
+	access_log      /var/log/nginx/access-fceokene.log main;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+                rewrite ^/(.*)$ /VirtualHostBase/https/fceokene.waeup.org:443/fceokene/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://fceokene_backend;
+                include         /etc/nginx/general/proxy.conf;
+        }
+    }
+
+    #
+    # fceokene-staff
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     fceokene-staff.waeup.org *.fceokene-staff.waeup.org;
+	access_log      /var/log/nginx/access-fcstaff.log main;
+        location / {
+		rewrite ^/(.*)$ https://fceokene-staff.waeup.org:443/$1 redirect;
+        }
+    }
+    # fceokene-staff -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     fceokene-staff.waeup.org *.fceokene-staff.waeup.org;
+	access_log      /var/log/nginx/access-fcstaff.log main;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/fceokene-staff.waeup.org:443/fceokene/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://fceokene_staff_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/maintenance.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/maintenance.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/fceokene/maintenance.conf	(revision 2621)
@@ -0,0 +1,47 @@
+
+#
+# fceokene maintenance mode. To place inside a `http` directive...
+#
+
+    #
+    # fceokene.waeup.org....
+    #
+    server { # simple load balancing
+        listen          212.19.62.132:80;
+        server_name     fceokene.waeup.org *.fceokene.waeup.org;
+	access_log      /var/log/nginx/access-fceokene.log main;
+        location / {
+		rewrite ^/(.*)$ https://fceokene.waeup.org:443/$1 redirect;
+        }
+    }
+    # fceokene.waeup.org -- ssl
+    server {
+        listen       212.19.62.132:443;
+        server_name  fceokene.waeup.org *.fceokene.waeup.org;
+	access_log      /var/log/nginx/access-fceokene.log main;
+	include		/etc/nginx/general/ssl.conf;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+    }
+
+
+    #
+    # fceokene-staff
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     fceokene-staff.waeup.org *.fceokene-staff.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://fceokene-staff.waeup.org:443/$1 redirect;
+        }
+	access_log      /var/log/nginx/access-fcstaff.log main;
+    }
+    # fceokene-staff -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     fceokene-staff.waeup.org *.fceokene-staff.waeup.org;
+	access_log      /var/log/nginx/access-fcstaff.log main;
+	include		/etc/nginx/general/ssl.conf;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+    }
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/misc/main.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/misc/main.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/misc/main.conf	(revision 2621)
@@ -0,0 +1,116 @@
+
+#
+# Other virtual hosts. To place inside a `http` directive...
+#
+
+
+    #
+    # dav.waeup.org
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     dav.waeup.org webdav.waeup.org *.dav.waeup.org *.webdav.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://dav.waeup.org:443/$1 redirect;
+        }
+    }
+    # dav.waeup.org -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     dav.waeup.org webdav.waeup.org *.dav.waeup.org *.webdav.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		dav_access	all:rw;
+		proxy_pass	http://192.168.20.3:8080;
+       		include		/etc/nginx/general/proxy.conf;	
+        }
+    }
+
+
+    #
+    # stats2.waeup.org -- http-redirect
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     stats2.waeup.org *.stats2.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://stats2.waeup.org:443/$1 redirect;
+        }
+    }
+    # stats2.waeup.org -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     stats2.waeup.org *.stats2.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		proxy_pass	http://127.0.0.1:8081;
+       		include		/etc/nginx/general/proxy.conf;	
+        }
+    }
+
+
+    #
+    # ntop.waeupclient.waeup.org
+    #
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     ntop.waeupclient.waeup.org *.ntop.waeupclient.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		proxy_pass	http://127.0.0.1:3000;
+       		include		/etc/nginx/general/proxy.conf;	
+        }
+    }
+
+    #
+    # cms.waeup.org
+    #
+    server {
+      	listen 		212.19.62.132:80;
+        server_name     cms.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://cms.waeup.org:443/$1 redirect;
+        }
+    }  
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     cms.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/cms.waeup.org:443/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://waeup_org_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+    #
+    # waeup.org - default
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     waeup.org *.waeup.org *;
+
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/http/www.waeup.org:80/cms/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://waeup_org_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+    # waeup.org -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     waeup.org *.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/www.waeup.org:443/cms/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://waeup_org_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/maintenance.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/maintenance.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/maintenance.conf	(revision 2621)
@@ -0,0 +1,102 @@
+
+#
+# uniben maintenance mode. To place inside a `http` directive...
+#
+
+
+    #
+    # uniben-devel
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-devel.waeup.org *.uniben-devel.waeup.org;
+	
+        location / {
+		rewrite ^/(.*)$ https://uniben-devel.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-devel -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-devel.waeup.org *.uniben-devel.waeup.org;
+
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/uniben-devel.waeup.org:443/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_devel_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben-staff
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-staff.waeup.org *.uniben-staff.waeup.org;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+        location / {
+		rewrite ^/(.*)$ https://uniben-staff.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-staff -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-staff.waeup.org *.uniben-staff.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+    }
+
+
+    #
+    # uniben-test
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-test.waeup.org *.uniben-test.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://uniben-test.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-test -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-test.waeup.org *.uniben-test.waeup.org;
+
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/uniben-test.waeup.org:443/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_staff_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben.waeup.org....
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben.waeup.org *.uniben.waeup.org;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+        location / {
+		rewrite ^/(.*)$ https://uniben.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben.waeup.org -- ssl
+    server {
+        listen       212.19.62.132:443;
+        server_name  uniben.waeup.org *.uniben.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+	root    /zope/instances/srp-static/maintenance/;
+	error_page 	404	/index.html;
+    }
+
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static-ssl.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static-ssl.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static-ssl.conf	(revision 2621)
@@ -0,0 +1,41 @@
+
+#
+# This configuration is currently not used!
+#
+
+        location ~ ^/srp_anonymous_view$ {
+		root /zope/instances/srp-static/static-ssl;
+		types {}
+		default_type	text/html;
+	}
+
+        location ~ ^/portal_themes/WAeUP_Student/renderCSS$ {
+		root /zope/instances/srp-static/static-ssl;
+                types {}
+                default_type    text/css;
+        }
+
+        #location ~ ^/portal_themes/WAeUP_Student/renderJS$ {
+        #        root /home/uli/WorkShop/devel/zope/instances/srp-static/static-ssl;
+	# 	 root /zope/instances/srp-static/static-ssl;
+        #        types {}
+        #        default_type    text/javascript;
+        #}
+
+        location ~ ^/(portal_themes/WAeUP_Student/Default/269646640/906334568/image/index_html|portal_themes/WAeUP_Student/Default/269646640/531866443/image/index_html)$ {
+		root /zope/instances/srp-static/static-ssl;
+                types {}
+                default_type    image/gif;
+        }
+
+	location ~ ^/(actionicon_login.png|zoom.png|bell.png|cpsskins_images/noicon_16.png|cpsskins_images/search_icon.png|cpsskins_images/portlet_search_icon.png|blank.gif|cpsskins_common.css|custom.css|default.css|default_print.css|functions.js|buttonbg_bc.png|buttonbg_e7.png|cpsskins_common-css2.css|msie.css|required.png|rightcol_bg.png|actionicon_logout.png|actionicon_print.png|actionicon_user_preferences.png|actionicon_view.png)$ {
+		root /zope/instances/srp-static/static-ssl;
+	}
+
+	location ~ ^.+/null$ {
+		rewrite ^/(.*)$ http://uniben.waeup.org/null permanent;		
+	}
+	location ~ ^/null$ {
+		root /zope/instances/srp-static/static-ssl;
+		default_type	text/html;
+	}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben-static.conf	(revision 2621)
@@ -0,0 +1,35 @@
+
+#
+# This configuration is currently not used!
+#
+
+        location ~ ^/srp_anonymous_view$ {
+		root /zope/instances/srp-static;
+		types {}
+		default_type	text/html;
+	}
+
+        #location ~ ^/portal_themes/WAeUP_Student/renderJS$ {
+        #        root /home/uli/WorkShop/devel/zope/instances/srp-static;
+	# 	 root /zope/instances/srp-static;
+        #        types {}
+        #        default_type    text/javascript;
+        #}
+
+        location ~ ^/(portal_themes/WAeUP_Student/Default/269646640/906334568/image/index_html|portal_themes/WAeUP_Student/Default/269646640/531866443/image/index_html)$ {
+		root /zope/instances/srp-static;
+                types {}
+                default_type    image/gif;
+        }
+
+	location ~ ^/(Post_UDE_Provisional_Venues.rtf|actionicon_login.png|zoom.png|bell.png|cpsskins_images/noicon_16.png|cpsskins_images/search_icon.png|cpsskins_images/portlet_search_icon.png|blank.gif|custom.css|default.css|default_print.css|render.css|functions.js|buttonbg_bc.png|buttonbg_e7.png|common.css|msie.css|required.png|rightcol_bg.png|actionicon_logout.png|actionicon_print.png|actionicon_user_preferences.png|actionicon_view.png|ng.png|uniben_mark.jpg|uniben_logo.gif|waeup_student_tab.png|noicon.png|WAeUP_Student/waeup_student_tab.png|WAeUP_Student/render.css|pngbehavior.htc)$ {
+		root /zope/instances/srp-static;
+	}
+
+	location ~ ^.+/null$ {
+		rewrite ^/(.*)$ http://uniben.waeup.org/null permanent;		
+	}
+	location ~ ^/null$ {
+		root /zope/instances/srp-static;
+		default_type	text/html;
+	}
Index: /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben.conf
===================================================================
--- /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben.conf	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/etc/nginx/sites/uniben/uniben.conf	(revision 2621)
@@ -0,0 +1,140 @@
+
+#
+# uniben regular mode. To place inside a `http` directive...
+#
+
+
+    #
+    # uniben-devel
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-devel.waeup.org *.uniben-devel.waeup.org;
+	
+        location / {
+		rewrite ^/(.*)$ https://uniben-devel.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-devel -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-devel.waeup.org *.uniben-devel.waeup.org;
+
+	proxy_read_timeout 9999;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/uniben-devel.waeup.org:443/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_devel_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben-staff
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-staff.waeup.org *.uniben-staff.waeup.org;
+	access_log      /var/log/nginx/access-staff.log main;
+        location / {
+		rewrite ^/(.*)$ https://uniben-staff.waeup.org:443/$1 redirect;
+        }
+    }
+
+    # uniben-staff -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-staff.waeup.org *.uniben-staff.waeup.org;
+
+	access_log      /var/log/nginx/access-staff.log main;
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/uniben-staff.waeup.org:443/uniben/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_staff_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben-test
+    #
+    server {
+       	listen 		212.19.62.132:80;
+        server_name     uniben-test.waeup.org *.uniben-test.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://uniben-test.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-test -- ssl
+    server {
+       	listen 		212.19.62.132:443;
+        server_name     uniben-test.waeup.org *.uniben-test.waeup.org;
+
+	include		/etc/nginx/general/ssl.conf;
+        location / {
+		rewrite ^/(.*)$ /VirtualHostBase/https/uniben-test.waeup.org:443/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_staff_backend;
+		include		/etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben-demo
+    #
+    server {
+        listen          212.19.62.132:80;
+        server_name     uniben-demo.waeup.org *.uniben-demo.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://uniben-demo.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben-demo -- ssl
+    server {
+        listen          212.19.62.132:443;
+        server_name     uniben-demo.waeup.org *.uniben-demo.waeup.org;
+
+        include         /etc/nginx/general/ssl.conf;
+        location / {
+                rewrite ^/(.*)$ /VirtualHostBase/https/uniben-demo.waeup.org:443/uniben/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_demo_backend;
+                include         /etc/nginx/general/proxy.conf;
+        }
+    }
+
+
+    #
+    # uniben.waeup.org....
+    #
+    server { # simple load balancing
+        listen          212.19.62.132:80;
+        server_name     uniben.waeup.org *.uniben.waeup.org;
+        location / {
+		rewrite ^/(.*)$ https://uniben.waeup.org:443/$1 redirect;
+        }
+    }
+    # uniben.waeup.org -- ssl
+    server {
+        listen       212.19.62.132:443;
+        server_name  uniben.waeup.org *.uniben.waeup.org;
+	include		/etc/nginx/general/ssl.conf;
+#	include 	/etc/nginx/general/uniben-static-ssl.conf;
+        location / {
+                rewrite ^/(.*)$ /VirtualHostBase/https/uniben.waeup.org:443/uniben/VirtualHostRoot/$1;
+        }
+        location /VirtualHostBase/ {
+                proxy_pass      http://uniben_backend;
+                include         /etc/nginx/general/proxy.conf;
+        }
+    }
+
Index: /WAeUP_SysConf/nginx/trunk/init.d/nginx
===================================================================
--- /WAeUP_SysConf/nginx/trunk/init.d/nginx	(revision 2621)
+++ /WAeUP_SysConf/nginx/trunk/init.d/nginx	(revision 2621)
@@ -0,0 +1,135 @@
+#!/bin/sh
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/nginx
+NAME=nginx
+DESC="High-performance web-server"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+# check if nginx is configured or not
+if [ -f "/etc/default/nginx" ]
+then
+  . /etc/default/nginx
+  if [ "$startup" != "1" ]
+  then
+    echo "nginx won't start unconfigured. configure & set startup=1 in /etc/default/nginx"
+    exit 0
+  fi
+
+  # Find the right config...
+  SITE1="0"
+  SITE2="0"
+  case "$1" in
+      -muniben)
+	  SITE1="1"
+	  shift
+	  ;;
+      -mfceokene)
+	  SITE2="1"
+	  shift
+	  ;;
+      -h*)
+	  echo "usage: $0 [-muniben] [-mfceokene] start|stop|restart|reload"
+	  exit 0
+	  ;;
+      help)
+	  echo "usage: $0 [-muniben] [-mfceokene] start|stop|restart|reload"
+	  exit 0
+	  ;;
+  esac
+  case "$1" in
+      -muniben)
+	  SITE1="1"
+	  shift
+	  ;;
+      -mfceokene)
+	  SITE2="1"
+	  shift
+	  ;;
+  esac
+  CONF=$SITE1$SITE2
+  case $CONF in
+      "00")
+	  echo "Disabling maintenance mode for uniben."
+	  echo "Disabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/nginx.conf"
+	  ;;
+      "01")
+	  echo "Disabling maintenance mode for uniben."
+	  echo "Enabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-fceokene.conf"
+	  ;;
+      "10")
+	  echo "Enabling maintenance mode for uniben."
+	  echo "Disabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-uniben.conf"
+	  ;;
+      "11")
+	  echo "Enabling maintenance mode for uniben."
+	  echo "Enabling maintenance mode for fceokene."
+	  DAEMON_OPTS="-c /etc/nginx/maintenance-all.conf"
+	  ;;
+  esac
+
+else
+  echo "/etc/default/nginx not found"
+  exit 0
+fi
+
+
+test_config() {
+	if ! $DAEMON -t 2> /dev/null
+	then
+        	printf "Configuration syntax error detected. Not reloading.\n\n"
+		$DAEMON -t
+		exit 1
+	fi
+}
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+        exit 0;
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  reload)
+	echo "Reloading $DESC configuration files."
+	test_config
+	start-stop-daemon --stop --signal HUP --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	;;
+  rotate-logs)
+	echo "Reopen $DESC logfiles"
+	start-stop-daemon --stop --signal USR1 --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+  ;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: "
+	
+	test_config
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|reload|rotate-logs}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
